> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post repricing



## OpenAPI

````yaml /openapi.json post /repricing/{policyId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /repricing/{policyId}:
    post:
      tags:
        - repricing
      operationId: RepricingController_executeRepricingForPolicy
      parameters:
        - name: policyId
          required: true
          in: path
          schema:
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepricingDispatchOutput'
components:
  schemas:
    RepricingDispatchOutput:
      type: object
      properties:
        workflowRunId:
          type: string
      required:
        - workflowRunId

````